Tooltips

Vue Bootstrap 5 Tooltip component

Documentation and examples for adding custom tooltips with CSS and JavaScript using CSS3 for animations and data-mdb-attributes for local title storage.

Note: Read the API tab to find all available options and advanced customization


Basic example

Hover the link to see the tooltip

        
            
            <template>
              <p>
                Hover the link to see the
                <MDBTooltip v-model="tooltip1" tag="a">
                  <template #reference>
                    <a href="#">tooltip</a>
                  </template>
                  <template #tip>
                    Hi! I'm tooltip
                  </template>
                </MDBTooltip>
              </p>
            </template>
          
        
    
        
            
            <script>
              import { MDBTooltip } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBTooltip
                },
                setup() {
                  const tooltip1 = ref(false);
                  return {
                    tooltip1
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBTooltip } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const tooltip1 = ref(false);
            </script>
          
        
    

Overview

Things to know when using the tooltip plugin:

  • Tooltips with zero-length tip slot values are never displayed.
  • Triggering tooltips on hidden elements will not work.
  • Tooltips for .disabled or disabled elements must be triggered on a wrapper element.
  • When triggered from hyperlinks that span multiple lines, tooltips will be centered. Use white-space: nowrap; on your #reference slot content to avoid this behavior.
  • Tooltips must be hidden before their corresponding elements have been removed from the DOM.
  • Tooltips can be triggered thanks to an element inside a shadow DOM.

Four directions

Four options are available: top, right, bottom, and left aligned for direction property.

        
            
            <template>
              <MDBTooltip v-model="tooltip2">
                <template #reference>
                  <MDBBtn color="secondary">Tooltip on top</MDBBtn>
                </template>
                <template #tip>
                  Tooltip on top
                </template>
              </MDBTooltip>
              <MDBTooltip v-model="tooltip3" direction="right">
                <template #reference>
                  <MDBBtn color="secondary">Tooltip on right</MDBBtn>
                </template>
                <template #tip>
                  Tooltip on right
                </template>
              </MDBTooltip>
              <MDBTooltip v-model="tooltip4" direction="bottom">
                <template #reference>
                  <MDBBtn color="secondary">Tooltip on bottom</MDBBtn>
                </template>
                <template #tip>
                  Tooltip on bottom
                </template>
              </MDBTooltip>
              <MDBTooltip v-model="tooltip5" direction="left">
                <template #reference>
                  <MDBBtn color="secondary">Tooltip on left</MDBBtn>
                </template>
                <template #tip>
                  Tooltip on left
                </template>
              </MDBTooltip>
            </template>
          
        
    
        
            
            <script>
              import { MDBTooltip, MDBBtn} from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBTooltip,
                  MDBBtn
                },
                setup() {
                  const tooltip2 = ref(false);
                  const tooltip3 = ref(false);
                  const tooltip4 = ref(false);
                  const tooltip5 = ref(false);
                  return {
                    tooltip2,
                    tooltip3,
                    tooltip4,
                    tooltip5,
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBTooltip, MDBBtn} from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const tooltip2 = ref(false);
              const tooltip3 = ref(false);
              const tooltip4 = ref(false);
              const tooltip5 = ref(false);
            </script>
          
        
    

And with custom HTML added:

        
            
            <template>
              <MDBTooltip v-model="tooltip6">
                <template #reference>
                  <MDBBtn color="secondary">Tooltip with HTML</MDBBtn>
                </template>
                <template #tip>
                  <em>Tooltip</em> <u>with</u> <b>HTML</b>
                </template>
              </MDBTooltip>
            </template>
          
        
    
        
            
            <script>
              import { MDBTooltip, MDBBtn} from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBTooltip,
                  MDBBtn
                },
                setup() {
                  const tooltip6 = ref(false);
                  return {
                    tooltip6,
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBTooltip, MDBBtn} from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const tooltip6 = ref(false);
            </script>
          
        
    

Disabled elements

Elements with the disabled attribute aren’t interactive, meaning users cannot focus, hover, or click them to trigger a tooltip (or popover). As a workaround, you’ll want to trigger the tooltip from a wrapper <div> or <span>, ideally made keyboard-focusable using tabindex="0", and override the pointer-events on the disabled element.

        
            
            <template>
              <MDBTooltip v-model="tooltip7">
                <template #reference>
                  <MDBBtn color="primary" disabled>Disabled button</MDBBtn>
                </template>
                <template #tip>
                  Disabled tooltip
                </template>
              </MDBTooltip>
            </template>
          
        
    
        
            
            <script>
              import { MDBTooltip, MDBBtn} from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBTooltip,
                  MDBBtn
                },
                setup() {
                  const tooltip7 = ref(false);
                  return {
                    tooltip7,
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBTooltip, MDBBtn} from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const tooltip7 = ref(false);
            </script>
          
        
    

PAY ONCE

USE FOREVER

Hurry up ⌛ claim exclusive long term passes available only during Cyber Weeks

Tooltips - API


Import

        
            
          <script>
            import {
              MDBTooltip
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Property Type Default Description
arrow Boolean false Adds an arrow to a popver element
boundary String 'clippingParents' Overflow constraint boundary of the tooltip (applied only for the preventOverflow modifier of the Popper). Accepts the values of 'viewport', 'window', 'scrollParent', or an HTMLElement selector. For more information refer to Popper's detectOverflow docs.
tag String "span" Defines tag element wrapping reference slot.
reference String "" Sets custom selector for reference element instead of slot
popover String " Sets custom selector for popover content to be used as tooltip
options Object | Function {} To change Bootstrap's default Popper config, see Popper's configuration
offset String " Offset of the tooltip relative to its target.
direction String "top Position the tooltip relative to its target - top | bottom | left | right.
maxWidth Number 276 Sets max width of the popover element

Slots

Name Description Example
reference Tooltip triggering action target <template #reference><MDBBtn color="danger" size="lg" @click="tooltip1 = !tooltip1">Click to toggle tooltip</MDBBtn></template>
tip Slotted content will be wrapped in a div.tooltip and used as such <template #tip>Hi! I'm tooltip</template>
[default] If you place something within MDBTooltip without specifying slots, it will be used similarly to the tip slot, yet the content shall still require wrapping in a div.tooltip. <MDBTooltip><div class="tooltip"> This is a tooltip</div><template #tip>Hi! I'm tooltip</template></MDBTooltip>

CSS variables

As part of MDB’s evolving CSS variables approach, tolltips now use local CSS variables on .tooltip for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
        // .tooltip
        --#{$prefix}tooltip-zindex: #{$zindex-tooltip};
        --#{$prefix}tooltip-max-width: #{$tooltip-max-width};
        --#{$prefix}tooltip-padding-x: #{$tooltip-padding-x};
        --#{$prefix}tooltip-padding-y: #{$tooltip-padding-y};
        --#{$prefix}tooltip-margin: #{$tooltip-margin};
        @include rfs($tooltip-font-size, --#{$prefix}tooltip-font-size);
        --#{$prefix}tooltip-color: #{$tooltip-color};
        --#{$prefix}tooltip-bg: #{$tooltip-bg};
        --#{$prefix}tooltip-border-radius: #{$tooltip-border-radius};
        --#{$prefix}tooltip-opacity: #{$tooltip-opacity};
        --#{$prefix}tooltip-arrow-width: #{$tooltip-arrow-width};
        --#{$prefix}tooltip-arrow-height: #{$tooltip-arrow-height};

        --#{$prefix}tooltip-font-size: #{$tooltip-font-size};
        
        
    

SCSS variables

        
            
        $tooltip-max-width: 200px;
        $tooltip-opacity: 0.9;
        $tooltip-margin: null;

        $tooltip-arrow-width: 0.8rem;
        $tooltip-arrow-height: 0.4rem;

        $tooltip-arrow-color: null;

        $tooltip-color: var(--#{$prefix}surface-inverted-color);
        $tooltip-padding-y: 6px;
        $tooltip-padding-x: 16px;
        $tooltip-font-size: 14px;
        $tooltip-bg: var(--#{$prefix}surface-inverted-bg);
        $tooltip-border-radius: 0.25rem;

Tooltips

Angular Bootstrap 5 Tooltips component

Documentation and examples for adding custom tooltips.

Note: Read the API tab to find all available options and advanced customization


Basic example

Hover the link to see the tooltip

        
            
            <p class="mb-0">
              Hover the link to see the
              <a href="#" mdbTooltip="Hi! I'm tooltip">tooltip</a>
            </p>
          
        
    

Overview

Things to know when using the tooltip plugin:

  • Tooltips are opt-in for performance reasons, so you must initialize them yourself.
  • Tooltips with zero-length mdbTooltip are never displayed.
  • Triggering tooltips on hidden elements will not work.
  • Tooltips for .disabled or disabled elements must be triggered on a wrapper element.
  • Tooltips must be hidden before their corresponding elements have been removed from the DOM.
  • Tooltips can be triggered thanks to an element inside a shadow DOM.

Four directions

Hover over the buttons below to see the four tooltips directions: top, right, bottom, and left.

        
            
            <button
              type="button"
              class="btn btn-secondary me-2"
              mdbTooltip="Tooltip on top"
              placement="top"
            >
              Tooltip on top
            </button>
            <button
              type="button"
              class="btn btn-secondary me-2"
              mdbTooltip="Tooltip on right"
              placement="right"
            >
              Tooltip on right
            </button>
            <button
              type="button"
              class="btn btn-secondary me-2"
              mdbTooltip="Tooltip on bottom"
              placement="bottom"
            >
              Tooltip on bottom
            </button>
            <button
              type="button"
              class="btn btn-secondary"
              mdbTooltip="Tooltip on left"
              placement="left"
            >
              Tooltip on left
            </button>
          
        
    

And with custom HTML added:

        
            
            <button
              type="button"
              class="btn btn-secondary"
              mdbTooltip="<em>Tooltip</em> <u>with</u> <b>HTML</b>"
              [html]="true"
            >
              Tooltip with HTML
            </button>
          
        
    

Disabled elements

Elements with the disabled attribute aren’t interactive, meaning users cannot focus, hover, or click them to trigger a tooltip (or popover). As a workaround, you’ll want to trigger the tooltip from a wrapper <div> or <span>, ideally made keyboard-focusable using tabindex="0", and override the pointer-events on the disabled element.

        
            
            <span class="d-inline-block" tabindex="0" mdbTooltip="Disabled tooltip">
              <button class="btn btn-primary" style="pointer-events: none" type="button" disabled>
                Disabled button
              </button>
            </span>
          
        
    

PAY ONCE

USE FOREVER

Hurry up ⌛ claim exclusive long term passes available only during Cyber Weeks

Tooltips - API


Import

        
            
          import { MdbTooltipModule } from 'mdb-angular-ui-kit/tooltip';
          …
          @NgModule ({
            ...
            imports: [MdbTooltipModule],
            ...
          })
        
        
    

Inputs

Name Type Default Description
animation Boolean true Apply a fade transition to the tooltip
delayShow Number 0 Delay showing the tooltip (ms)
delayHide Number 0 Delay hiding the tooltip (ms)
html Boolean false Allow HTML in the tooltip.
placement String 'top' How to position the tooltip - top | bottom | left | right
trigger String 'click' How tooltip is triggered - click | hover | focus | manual. You may pass multiple triggers; separate them with a space. manual cannot be combined with any other trigger.
offset Number 0 Offset of the tooltip relative to its target

Outputs

Name Type Description
tooltipShow EventEmitter<MdbTooltipDirective> Fires when show animation starts.
tooltipShown EventEmitter<MdbTooltipDirective> Fires when show animation ends.
tooltipHide EventEmitter<MdbTooltipDirective> Fires when hide animation starts.
tooltipHidden EventEmitter<MdbTooltipDirective> Fires when hide animation ends.
        
            
            <p class="mb-0">
              Hover the link to see the
              <a href="#" mdbTooltip="Hi! I'm tooltip" (tooltipShow)="onTooltipShow($event)"
                >tooltip</a
              >
            </p>                              
            
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbTooltipDirective } from 'mdb-angular-ui-kit/tooltip';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              onTooltipShow(event: MdbTooltipDirective): void {
                console.log('tooltip show: ', event);
              }
            }                            
            
        
    

Methods

Name Description Example
hide Manually closes a tooltip tooltip.hide()
show Manually opens a tooltip tooltip.show()
toggle Manually toggle a tooltip tooltip.toggle()
        
            
              <p class="mb-0">
                Hover the link to see the
                <a href="#" mdbTooltip="Hi! I'm tooltip" #tooltip="mdbTooltip">tooltip</a>
              </p>
            
        
    
        
            
              import { Component, ViewChild } from '@angular/core';
              import { MdbTooltipDirective } from 'mdb-angular-ui-kit/tooltip';

              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                @ViewChild('tooltip') tooltip!: MdbTooltipDirective;

                ngAfterViewInit(): void {
                  this.tooltip.show();
                }
              }
            
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, tolltips now use local CSS variables on .tooltip for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
        // .tooltip
        --#{$prefix}tooltip-zindex: #{$zindex-tooltip};
        --#{$prefix}tooltip-max-width: #{$tooltip-max-width};
        --#{$prefix}tooltip-padding-x: #{$tooltip-padding-x};
        --#{$prefix}tooltip-padding-y: #{$tooltip-padding-y};
        --#{$prefix}tooltip-margin: #{$tooltip-margin};
        --#{$prefix}tooltip-color: #{$tooltip-color};
        --#{$prefix}tooltip-bg: #{$tooltip-bg};
        --#{$prefix}tooltip-border-radius: #{$tooltip-border-radius};
        --#{$prefix}tooltip-opacity: #{$tooltip-opacity};
        --#{$prefix}tooltip-arrow-width: #{$tooltip-arrow-width};
        --#{$prefix}tooltip-arrow-height: #{$tooltip-arrow-height};

        --#{$prefix}tooltip-font-size: #{$tooltip-font-size};
        
        
    

SCSS variables

        
            
        $tooltip-max-width: 200px;
        $tooltip-opacity: 0.9;
        $tooltip-margin: null;

        $tooltip-color: #fff;
        $tooltip-padding-y: 6px;
        $tooltip-padding-x: 16px;
        $tooltip-font-size: 14px;
        $tooltip-bg: #6d6d6d;
        $tooltip-border-radius: 0.25rem;

Tooltips

React Bootstrap 5 Tooltips component

Documentation and examples for adding custom tooltips with React.

Note: Read the API tab to find all available options and advanced customization


Basic example

Hover the link to see the tooltip

        
            
          import React from 'react';
          import { MDBTooltip } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <p className='mb-0'>
                Hover the link to see the
                <MDBTooltip tag='a' wrapperProps={{ href: '#' }} title="Hi! I'm a tooltip!">
                  tooltip
                </MDBTooltip>
              </p>
            );
          }
       
        
    

Overview

Things to know when using the tooltip plugin:

  • Tooltips are opt-in for performance reasons, so you must initialize them yourself.
  • Tooltips with zero-length titles are never displayed.
  • Triggering tooltips on hidden elements will not work.
  • Tooltips for .disabled or disabled elements must be triggered on a wrapper element.
  • When triggered from hyperlinks that span multiple lines, tooltips will be centered. Use white-space: nowrap; on your <a>s to avoid this behavior.
  • Tooltips must be hidden before their corresponding elements have been removed from the DOM.
  • Tooltips can be triggered thanks to an element inside a shadow DOM.

Four directions

Hover over the buttons below to see the four tooltips directions: top, right, bottom, and left.

        
            
          import React from 'react';
          import { MDBTooltip } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <>
                <MDBTooltip wrapperProps={{ color: 'secondary' }} title='Tooltip on top'>
                  Tooltip on top
                </MDBTooltip>
                <MDBTooltip wrapperProps={{ color: 'secondary' }} placement='right' title='Tooltip on right'>
                  Tooltip on right
                </MDBTooltip>
                <MDBTooltip wrapperProps={{ color: 'secondary' }} placement='bottom' title='Tooltip on bottom'>
                  Tooltip on bottom
                </MDBTooltip>
                <MDBTooltip wrapperProps={{ color: 'secondary' }} placement='left' title='Tooltip on left'>
                  Tooltip on left
                </MDBTooltip>
              </>
            );
          }
       
        
    

And with custom HTML added:

        
            
          import React from 'react';
          import { MDBTooltip } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBTooltip
                wrapperProps={{ color: 'secondary' }}
                title={
                  <>
                    <em>Tooltip</em> <u>with</u> <b>HTML</b>
                  </>
                }
              >
                Tooltip with HTML
              </MDBTooltip>
            );
          }
       
        
    

Disabled elements

Elements with the disabled attribute aren’t interactive, meaning users cannot focus, hover, or click them to trigger a tooltip (or popover). As a workaround, you’ll want to trigger the tooltip from a wrapper <div> or <span>, ideally made keyboard-focusable using tabIndex={0}, and override the pointer-events on the disabled element.

        
            
          import React from 'react';
          import { MDBTooltip, MDBBtn } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBTooltip tag='span' wrapperClass='d-inline-block' title='Disabled tooltip'>
                <MDBBtn disabled style={{ pointerEvents: 'none' }}>
                  Disabled button
                </MDBBtn>
              </MDBTooltip>
            );
          }
       
        
    

PAY ONCE

USE FOREVER

Hurry up ⌛ claim exclusive long term passes available only during Cyber Weeks

Tooltips - API


Import

        
            
            import { MDBTooltip } from 'mdb-react-ui-kit';
            
        
    

Properties

MDBTooltip

Name Type Default Description Example
disableMouseDown boolean false Disables mousedown event. <MDBTooltip disableMouseDown>Tooltip</MDBTooltip>
options object '' Allows to change the default Popper config, see Popper's configuration. <MDBTooltip options={{ modifiers: [{ name: 'offset', options: { offset: [10, 20] }}]}}>Tooltip</MDBTooltip>
placement String 'top' How to position the tooltip - auto | top | bottom | left | right. When auto is specified, it will dynamically reorient the tooltip. <MDBTooltip placement="bottom">Tooltip</MDBTooltip>
tag String MDBBtn Define tag of the wrapper element. <MDBTooltip tag='span'>Tooltip</MDBTooltip>
title String / HTML '' Defines the tooltip text. <MDBTooltip title="Hi! I'm a tooltip!">Tooltip</MDBTooltip>
tooltipTag String 'div' Define tag of the MDBTooltip element. <MDBTooltip tooltipTag='span'>Tooltip</MDBTooltip>
wrapperClass String '' Add custom class to the tooltip wrapper <MDBTooltip wrapperClass="class">Tooltip</MDBTooltip>
wrapperProps object '' Add custom properties to the tooltip wrapper <MDBTooltip wrapperProps={{ color: 'secondary' }}>Tooltip</MDBTooltip>

Events

Name Type Description
onClose () => any Fires when the tooltip demands to be hidden.
onOpen () => any Fires when the tooltip demands to be shown.